# Uses of Interface
org.bukkit.event.Listener

Packages that use Listener
Package
Description
co.aikar.timings
com.destroystokyo.paper.event.executor
com.destroystokyo.paper.exception
org.bukkit.event
Classes dedicated to handling triggered code executions.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of Listener in co.aikar.timings

Methods in co.aikar.timings with parameters of type Listener
Modifier and Type
Method
Description
`void`
TimedEventExecutor.`execute(@NotNull Listener listener, @NotNull Event event)`

## Uses of Listener in com.destroystokyo.paper.event.executor

Methods in com.destroystokyo.paper.event.executor with parameters of type Listener
Modifier and Type
Method
Description
`void`
MethodHandleEventExecutor.`execute(@NotNull Listener listener, @NotNull Event event)`
`void`
StaticMethodHandleEventExecutor.`execute(@NotNull Listener listener, @NotNull Event event)`

## Uses of Listener in com.destroystokyo.paper.exception

Methods in com.destroystokyo.paper.exception that return Listener
Modifier and Type
Method
Description
`Listener`
ServerEventException.`getListener()`
Gets the listener which threw the exception
Constructors in com.destroystokyo.paper.exception with parameters of type Listener
Modifier
Constructor
Description
`protected`
`ServerEventException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Plugin responsiblePlugin, Listener listener, Event event)`
``
`ServerEventException(String message, Throwable cause, Plugin responsiblePlugin, Listener listener, Event event)`
``
`ServerEventException(Throwable cause, Plugin responsiblePlugin, Listener listener, Event event)`

## Uses of Listener in org.bukkit.event

Methods in org.bukkit.event with parameters of type Listener
Modifier and Type
Method
Description
`void`
HandlerList.`unregister(@NotNull Listener listener)`
Remove a specific listener from this handler
`static void`
HandlerList.`unregisterAll(@NotNull Listener listener)`
Unregister a specific listener from all handler lists.

## Uses of Listener in org.bukkit.plugin

Methods in org.bukkit.plugin that return Listener
Modifier and Type
Method
Description
`@NotNull Listener`
RegisteredListener.`getListener()`
Gets the listener for this registration
Methods in org.bukkit.plugin with parameters of type Listener
Modifier and Type
Method
Description
`@NotNull Map<Class<? extends Event>,Set<RegisteredListener>>`
PluginLoader.`createRegisteredListeners(@NotNull Listener listener, @NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates and returns registered listeners for the event classes used in this listener
`void`
EventExecutor.`execute(@NotNull Listener listener, @NotNull Event event)`
`void`
PluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin)`
Registers the specified executor to the given event class
`void`
PluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin, boolean ignoreCancelled)`
Registers the specified executor to the given event class
`void`
SimplePluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
SimplePluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin, boolean ignoreCancelled)`
Deprecated, for removal: This API element is subject to removal in a future version.
Registers the given event to the specified listener using a directly passed EventExecutor
`void`
PluginManager.`registerEvents(@NotNull Listener listener, @NotNull Plugin plugin)`
Registers all the events in the given listener class
`void`
SimplePluginManager.`registerEvents(@NotNull Listener listener, @NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructors in org.bukkit.plugin with parameters of type Listener
Modifier
Constructor
Description
``
`RegisteredListener(@NotNull Listener listener, @NotNull EventExecutor executor, @NotNull EventPriority priority, @NotNull Plugin plugin, boolean ignoreCancelled)`
``
`TimedRegisteredListener(@NotNull Listener pluginListener, @NotNull EventExecutor eventExecutor, @NotNull EventPriority eventPriority, @NotNull Plugin registeredPlugin, boolean listenCancelled)`

## Uses of Listener in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java with parameters of type Listener
Modifier and Type
Method
Description
`@NotNull Map<Class<? extends Event>,Set<RegisteredListener>>`
JavaPluginLoader.`createRegisteredListeners(@NotNull Listener listener, @NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.